Accepting or Contesting Disputes

When a dispute is created, Clearpay encourages you, the merchant, to contact your customer. You can then decide to do one of the following:

You can either use the UK Business Hub or the following APIs to accept or contest disputes.

Note

Currently, Clearpay only supports one round of evidence submission.

Accepting a dispute

Merchants can call the following endpoint to accept a dispute case. This endpoint only works if the dispute is in a non-terminal state, that is, the dispute status is not won or lost.

Note

Calling the API would transition the dispute status lost.

Accept Dispute - Endpoint

POST https://global-api.afterpay.com/v2/disputes/{dispute_id}/accept

Connection Timeouts

TimeoutTime (seconds)
OPEN10
Read 20

Request Headers

HeaderTypeDefault Value
User-AgentStringClearpay Online API Simulator
AcceptStringapplication/json

Request Parameters

Field nameData typeDescription
dispute_idString(Required) Dispute identifier.

Response

Field nameData typeDescription
disputeDisputeObjectThe updated dispute object.

Dispute Object Example

Field nameData typeExample
idStringdp_ivpMnZkDhLykyXeoSr5WF4
orderString123456789
amountString48.46
currencyStringGBP
reasonStringpaid_by_other_means
statusStringlost
openBooleanfalse
responseDueByTimestamp1691884800
createdAtTimestamp1691884800
openingNoteStringCustomer has no knowledge of the payment.
openingNoteAttachmentsFileId[“fi_48vmw3sXdVqvtJGXbgKbAZ”]
updatedAtTimestamp (optional)1691884800
closingReasonStringmerchant_accepted
closingNoteString (optional)Merchant accepted the dispute
merchantOrderIdStringmerchantorderid12345
transactionDateTimestamp1691884800
settlementAmountString48.46
metaMetaObject (Optional){ <br /> "transactionAmount": "48.46", <br />"orderType": "ONLINE" <br /> }

Evidence Submission Pipeline

If you, the merchant, do not want to accept a dispute, Clearpay provides a way to submit evidence to contest the dispute through the UK Business Hub or the API.

Clearpay provides a file upload API for you to upload the evidence needed to contest the dispute. The tokens returned from the file upload API can then be specified as part of the request/response for the API endpoints of the dispute. For file upload API details, see Uploading Files.

Respond to the dispute

The Respond to the dispute (e.g., submit evidence) endpoint enables you, the merchant, to submit evidence for the dispute. This is only allowed if the dispute is the state needs_response.

This means you only have one opportunity to submit evidence. Once a 200 response is received, this information cannot be updated or changed.

Endpoint

POST https://global-api.afterpay.com/v2/disputes/{dispute_id}

Connection Timeouts

TimeoutTime (seconds)
OPEN10
Read 20

Request Headers

HeaderTypeDefault Value
User-AgentStringClearpay Online API Simulator
Content-TypeStringapplication/json
AcceptStringapplication/json

Request Parameters

Field nameData typeDescription
idStringA unique ID given to a dispute.
evidenceEvidence objectSee evidence fields. Note that there should be at least one valid field.

Response

Field nameData typeDescription
disputeDisputeObjectThe updated dispute object.

Evidence Fields

FieldData TypeLimitDescription
productDescriptionString (Optional)Length: 1-5000 charactersA description of the product or service and any relevant details on how this was presented to the customer at the time of purchase.
refundPolicyString (Optional)Valid File Token Generated by Upload File EndpointToken of the file upload. The merchant’s refund policy, as shown or provided to the customer.
refundPolicyDisclosureString (Optional)Length: 1-5000 charactersAn explanation of how and when the customer was shown or provided with the merchant’s refund policy prior to purchase.
refundRefusalExplanationString (Optional)Length: 1-5000 charactersThe merchant’s explanation for why the customer is not entitled to a refund.
shippingDocumentationString (Optional)Valid File Token Generated by Upload File EndpointToken of the file upload. A shipping label or receipt for the disputed payment.
shippingAddressString (Optional)Length: 1-5000 charactersThe address to which a physical product was shipped.
shippingDateString (Optional)Length: 1-5000 charactersIn cases of physical products, the date that a physical product began its route to the shipping address in a clear human-readable format. This date should be prior to the date of the dispute.
shippingCarrierString (Optional)Length: 1-5000 charactersIn cases of physical products, the delivery service that shipped a physical product, such as Fedex, UPS, USPS, etc. If multiple carriers were used for this purchase, separate them with commas.
shippingTrackingNumberString (Optional)Length: 1-5000 charactersThe tracking number for a physical product, obtained from the delivery service.
uncategorizedFileString (Optional)Valid File Token Generated by Upload File EndpointToken of the file upload. Additional file that’s not in any of the categories above.
uncategorizedTextString (Optional)Length: 1-5000 charactersAny additional text deemed relevant by the merchant.

Dispute Object Example

Field nameData typeExample
idStringdp_ivpMnZkDhLykyXeoSr5WF4
orderString123456789
amountString48.46
currencyStringGBP
reasonStringpaid_by_other_means
statusStringunder_review
openBooleantrue
responseDueByTimestamp1691884800
createdAtTimestamp1691884800
openingNoteStringCustomer has no knowledge of the Payment
openingNoteAttachmentsFileId[“fi_48vmw3sXdVqvtJGXbgKbAZ”]
updatedAtTimestamp (optional)1691884800
closingReasonStringmerchant_accepted
closingNoteString (optional)Merchant accepted the dispute
merchantOrderIdStringmerchantorderid12345
transactionDateTimestamp1691884800
settlementAmountString48.46
metaMetaObject (Optional){ <br /> "transactionAmount": "48.46", <br />"orderType": "ONLINE" <br /> }